package cn.wisenergy.model.enums;

public enum GradeType {
    //本科
    UNDERGRADUATE(0, "本科"),

    //专科
    SPECIALTY(1, "专科");
    private Integer code;

    private String desc;

    GradeType(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public String getDescription() {
        return desc;
    }

    public Integer getCode() {
        return code;
    }

    public static String getNameByCode(Integer code) {
        if (null == code) {
            return null;
        }
        for (SceneType type : SceneType.values()) {
            if (type.getCode().intValue() == code.intValue()) {
                return type.name();
            }
        }
        return null;
    }
}
